*** File to replicate Figures 1, 2, and 5 in Braithwaite & Cunningham (2019)

*********************************
* FIGURES 1 & 2 (produced in R) *
*********************************

* using FORGE_replication_figures.dta

** figure 1 (histogram produced in R; see JMB_KGC_ISQ_histograms.R):
* global counts of parent types
tab preorgreb
tab preorgter
tab preorgpar
tab preorgmvt
tab preorgrel
tab preorglab
tab preorgyou
tab preorgfor
tab preorgfmr
tab preorgmil
tab preorggov
tab preorgoth
tab preorgref
tab preorgeth 
tab preorgno 

******In R: 
*type<-c('none','ethnic group','refugee group','former govt','govt faction','current military','former military','foreign org','student group','trade union','religious group','political mvt','political party','other armed','rebel group')
*total<-c(17,22,14,7,5,60,24,17,20,7,13,41,83,92,126)
*df=data.frame(type,total)
*par(las=2)
*par(mar=c(5,8,4,2))
*barplot(total,horiz=TRUE,names.arg=c('none','ethnic group','refugee group','former govt','govt faction','current military','former military','foreign org','student group','trade union','religious group','political mvt','political party','other armed','rebel group'))

** figure 2 (histogram produced in R; see JMB_KGC_ISQ_histograms.R):
* counts of parent type in Africa
tab preorgreb if region==1
tab preorgter if region==1
tab preorgpar if region==1
tab preorgmvt if region==1
tab preorgrel if region==1
tab preorglab if region==1
tab preorgyou if region==1
tab preorgfor if region==1
tab preorgfmr if region==1
tab preorgmil if region==1
tab preorggov if region==1
tab preorgoth if region==1
tab preorgref if region==1
tab preorgeth if region==1
tab preorgno if region==1

******In R: 
*type<-c('none','ethnic group','refugee group','former govt','govt faction','current military','former military','foreign org','student group','trade union','religious group','political mvt','political party','other armed','rebel group')
*total<-c(9,6,7,0,0,31,12,9,6,2,5,16,21,29,65)
*df=data.frame(type,total)
*par(las=2)
*par(mar=c(5,8,4,2))
*barplot(total,horiz=TRUE,names.arg=c('none','ethnic group','refugee group','former govt','govt faction','current military','former military','foreign org','student group','trade union','religious group','political mvt','political party','other armed','rebel group'))

* counts of parent type in Americas
tab preorgreb if region==2
tab preorgter if region==2
tab preorgpar if region==2
tab preorgmvt if region==2
tab preorgrel if region==2
tab preorglab if region==2
tab preorgyou if region==2
tab preorgfor if region==2
tab preorgfmr if region==2
tab preorgmil if region==2
tab preorggov if region==2
tab preorgoth if region==2
tab preorgref if region==2
tab preorgeth if region==2
tab preorgno if region==2

******In R: 
*type<-c('none','ethnic group','refugee group','former govt','govt faction','current military','former military','foreign org','student group','trade union','religious group','political mvt','political party','other armed','rebel group')
*total<-c(2,0,0,0,0,14,2,3,4,2,2,1,23,12,6)
*df=data.frame(type,total)
*par(las=2)
*par(mar=c(5,8,4,2))
*barplot(total, main="Americas",horiz=TRUE,names.arg=c('none','ethnic group','refugee group','former govt','govt faction','current military','former military','foreign org','student group','trade union','religious group','political mvt','political party','other armed','rebel group'))

* counts of parent type in Asia
tab preorgreb if region==3
tab preorgter if region==3
tab preorgpar if region==3
tab preorgmvt if region==3
tab preorgrel if region==3
tab preorglab if region==3
tab preorgyou if region==3
tab preorgfor if region==3
tab preorgfmr if region==3
tab preorgmil if region==3
tab preorggov if region==3
tab preorgoth if region==3
tab preorgref if region==3
tab preorgeth if region==3
tab preorgno if region==3

* counts of parent type in Middle East
tab preorgreb if region==5
tab preorgter if region==5
tab preorgpar if region==5
tab preorgmvt if region==5
tab preorgrel if region==5
tab preorglab if region==5
tab preorgyou if region==5
tab preorgfor if region==5
tab preorgfmr if region==5
tab preorgmil if region==5
tab preorggov if region==5
tab preorgoth if region==5
tab preorgref if region==5
tab preorgeth if region==5
tab preorgno if region==5

******In R: 
*type<-c('none','ethnic group','refugee group','former govt','govt faction','current military','former military','foreign org','student group','trade union','religious group','political mvt','political party','other armed','rebel group')
*total<-c(5,12,7,5,3,9,6,3,9,3,6,19,33,42,52)
*df=data.frame(type,total)
*par(las=2)
*par(mar=c(5,8,4,2))
*barplot(total, main="Asia (incl. Middle East)",horiz=TRUE,names.arg=c('none','ethnic group','refugee group','former govt','govt faction','current military','former military','foreign org','student group','trade union','religious group','political mvt','political party','other armed','rebel group'))

* counts of parent type in Europe
tab preorgreb if region==4
tab preorgter if region==4
tab preorgpar if region==4
tab preorgmvt if region==4
tab preorgrel if region==4
tab preorglab if region==4
tab preorgyou if region==4
tab preorgfor if region==4
tab preorgfmr if region==4
tab preorgmil if region==4
tab preorggov if region==4
tab preorgoth if region==4
tab preorgref if region==4
tab preorgeth if region==4
tab preorgno if region==4

******In R: 
*type<-c('none','ethnic group','refugee group','former govt','govt faction','current military','former military','foreign org','student group','trade union','religious group','political mvt','political party','other armed','rebel group')
*total<-c(1,4,0,2,2,6,4,2,1,0,0,5,6,9,3)
*df=data.frame(type,total)
*par(las=2)
*par(mar=c(5,8,4,2))
*barplot(total, main="Europe",horiz=TRUE,names.arg=c('none','ethnic group','refugee group','former govt','govt faction','current military','former military','foreign org','student group','trade union','religious group','political mvt','political party','other armed','rebel group'))


************
* FIGURE 5 *
************ 

** figure 5 (black & white):
graph hbar (sum) parentreb parentmil parentgvt parentcso preorgfor parentno, over(decade) stack  graphregion(color(white)) bar(1, color(gs15)) bar(2, color(gs13)) bar(3, color(gs11)) bar(4, color(gs9)) bar(5, color(gs6)) bar(6, color(black)) legend(lab(1 "armed non-state actor") lab(2 "current/former military") lab(3 "political party") lab(4 "civil society org") lab(5 "foreign org") lab(6 "no parent org")) 

** figure 5 (color):
graph hbar (sum) parentreb parentmil parentgvt parentcso preorgfor parentno, over(decade) stack  graphregion(color(white)) legend(lab(1 "armed non-state actor") lab(2 "current/former military") lab(3 "political party") lab(4 "civil society org") lab(5 "foreign org") lab(6 "no parent org")) 
