
*** File to replicate Tables 1 & 2, Figure 6 in Braithwaite & Cunningham (2019)

* use FORGE_replication_duration.dta

***********
* TABLE 1 *
***********

** "parentless" rebels & civil conflict duration
* Model 1
stcox preorgno tc strong parity lpw terr coups ef ethnic lngdppc demdum act2 lnpop , nohr cluster(conflict_id)
* Model 2
stcox parentno tc strong parity lpw terr coups ef ethnic lngdppc demdum act2 lnpop , nohr cluster(conflict_id)

**********************
* TABLE 2 & FIGURE 6 *
**********************
set more off

** rebel group traits & conflict duration, split by nonviolent origins
* Model 3
stcox tc strong parity lpw terr coups ef ethnic lngdppc demdum act2 lnpop, nohr cluster(conflict_id)
* Figure 6, top left graph
stcurve, cumhaz at0(strong=0 parity=0) at1(strong=0 parity=1) at2(strong=1 parity=0) title("Rebel Strength (All Obs)") graphregion(color(white)) lpattern(solid dash dash_dot) scheme(s2mono) legend(cols(1) label(1 "Rebels weaker") label(2 "Rebels at parity") label(3 "Rebels stronger")) ysc(r(0 60)) ylabel(0 [20] 60)
* Figure 6, bottom left graph
stcurve, cumhaz at0(lpw=0) at1(lpw=1) title("Political Wing (All Obs)") graphregion(color(white)) lpattern(solid dash) scheme(s2mono) legend(cols(1) label(1 "No political wing") label(2 "Political wing"))  ysc(r(0 20)) ylabel(0 [5] 20)

* Model 4
stcox tc strong parity lpw terr coups ef ethnic lngdppc demdum act2 lnpop if parentnv==0, nohr cluster(conflict_id)
* Figure 6, top middle graph
stcurve, cumhaz at0(strong=0 parity=0) at1(strong=0 parity=1) at2(strong=1 parity=0) title("Nonviolent Parent = 0") graphregion(color(white)) lpattern(solid dash dash_dot) scheme(s2mono) legend(cols(1) label(1 "Rebels weaker") label(2 "Rebels at parity") label(3 "Rebels stronger")) ysc(r(0 60)) ylabel(0 [20] 60)
* Figure 6, bottom middle graph
stcurve, cumhaz at0(lpw=0) at1(lpw=1) title("Nonviolent Parent = 0") graphregion(color(white)) lpattern(solid dash) scheme(s2mono) legend(cols(1) label(1 "No political wing") label(2 "Political wing"))  ysc(r(0 20)) ylabel(0 [5] 20)

* Model 5
set more off
stcox tc strong parity lpw terr coups ef ethnic lngdppc demdum act2 lnpop if parentnv==1, nohr cluster(conflict_id)
* Figure 6, top right graph
stcurve, cumhaz at0(strong=0 parity=0) at1(strong=0 parity=1) at2(strong=1 parity=0) title("Nonviolent Parent = 1") graphregion(color(white)) lpattern(solid dash dash_dot) scheme(s2mono) legend(cols(1) label(1 "Rebels weaker") label(2 "Rebels at parity") label(3 "Rebels stronger")) ysc(r(0 60)) ylabel(0 [20] 60)
* Figure 6, bottom right graph
stcurve, cumhaz at0(lpw=0) at1(lpw=1) title("Nonviolent Parent = 1") graphregion(color(white)) lpattern(solid dash) scheme(s2mono) legend(cols(1) label(1 "No political wing") label(2 "Political wing"))  ysc(r(0 20)) ylabel(0 [5] 20)
