*** generate histograms for Figures 1 & 2 in manuscript based on counts of parent organization types from FORGE_replication_figures.dta in Stata

******* FIGURE 1 *******
***** global *****

type<-c('none','ethnic group','refugee group','former govt','govt faction','current military','former military','foreign org','student group','trade union','religious group','political mvt','political party','other armed','rebel group')
total<-c(17,22,14,7,5,60,24,17,20,7,13,41,83,92,126)
df=data.frame(type,total)

par(las=2)
par(mar=c(5,8,4,2))

barplot(total,horiz=TRUE,names.arg=c('none','ethnic group','refugee group','former govt','govt faction','current military','former military','foreign org','student group','trade union','religious group','political mvt','political party','other armed','rebel group'))


******* FIGURE 2 *******
***** Africa *****

type<-c('none','ethnic group','refugee group','former govt','govt faction','current military','former military','foreign org','student group','trade union','religious group','political mvt','political party','other armed','rebel group')
total<-c(9,6,7,0,0,31,12,9,6,2,5,16,21,29,65)
df=data.frame(type,total)

par(las=2)
par(mar=c(5,8,4,2))

barplot(total,main="Africa",horiz=TRUE,names.arg=c('none','ethnic group','refugee group','former govt','govt faction','current military','former military','foreign org','student group','trade union','religious group','political mvt','political party','other armed','rebel group'))


***** Americas *****

type<-c('none','ethnic group','refugee group','former govt','govt faction','current military','former military','foreign org','student group','trade union','religious group','political mvt','political party','other armed','rebel group')
*total<-c(2,0,0,0,3,0,14,2,4,2,2,1,23,12,6)
total<-c(2,0,0,0,0,14,2,3,4,2,2,1,23,12,6)
df=data.frame(type,total)

par(las=2)
par(mar=c(5,8,4,2))

barplot(total, main="Americas",horiz=TRUE,names.arg=c('none','ethnic group','refugee group','former govt','govt faction','current military','former military','foreign org','student group','trade union','religious group','political mvt','political party','other armed','rebel group'))


***** Asia (incl ME) *****

type<-c('none','ethnic group','refugee group','former govt','govt faction','current military','former military','foreign org','student group','trade union','religious group','political mvt','political party','other armed','rebel group')
total<-c(5,12,7,5,3,9,6,3,9,3,6,19,33,42,52)
df=data.frame(type,total)

par(las=2)
par(mar=c(5,8,4,2))

barplot(total, main="Asia (incl. Middle East)",horiz=TRUE,names.arg=c('none','ethnic group','refugee group','former govt','govt faction','current military','former military','foreign org','student group','trade union','religious group','political mvt','political party','other armed','rebel group'))


***** Europe *****

type<-c('none','ethnic group','refugee group','former govt','govt faction','current military','former military','foreign org','student group','trade union','religious group','political mvt','political party','other armed','rebel group')
total<-c(1,4,0,2,2,6,4,2,1,0,0,5,6,9,3)
df=data.frame(type,total)

par(las=2)
par(mar=c(5,8,4,2))

barplot(total, main="Europe",horiz=TRUE,names.arg=c('none','ethnic group','refugee group','former govt','govt faction','current military','former military','foreign org','student group','trade union','religious group','political mvt','political party','other armed','rebel group'))